Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# FBufferStruct Struct Reference

`#include <generator.h>`

## Data Fields
unsigned int | initial_length
char * | ptr
unsigned int | len
unsigned int | capa

## Detailed Description

Definition at line 52 of file generator.h.

## Field Documentation

unsigned int FBufferStruct::capa

Definition at line 56 of file generator.h.

Referenced by fbuffer_inc_capa().

unsigned int FBufferStruct::initial_length

Definition at line 53 of file generator.h.

Referenced by fbuffer_inc_capa().

unsigned int FBufferStruct::len

Definition at line 55 of file generator.h.

Referenced by fbuffer_append(), fbuffer_append_char(), fbuffer_clear(), fbuffer_dup(), and fbuffer_inc_capa().

char* FBufferStruct::ptr

Definition at line 54 of file generator.h.

Referenced by fbuffer_append(), fbuffer_append_char(), fbuffer_free(), and fbuffer_inc_capa().

The documentation for this struct was generated from the following file:

- ext/json/generator/generator.h